jQuery(document).ready(function($) 
{

	// $(".go-back-up").click(function(){
	//     $('.reader').animate({
	//        scrollTop:$('.article-header').offset().top
	//     }, 1000);
	// });

	//CLIQUER SUR LE BOUTON D'ACCEUIL EST EQUIVALENT A UN CLIC SUR LE PREMIER EPISODE
	$("button").click(function(){
	    $("aside ul a:nth-child(2)").trigger("click");
	});

	//ON PLACE LES ELEMENTS PRESENTS DANS DES VARIABLES
	var body = $('body'),
		reader = $('section.reader'),
		loader = $('.loader'),
		loaderFullWidth = $('.reader').css('width'),
		goBackUp = $('.go-back-up'),
		tlShowLoader = new TimelineMax(),
		tlOpenReader = new TimelineMax(),
		tlRevokeReader = new TimelineMax();


	$(window).resize(function(){
   		loaderFullWidth = $('.reader').css('width');
    });





	//ET LA, C'EST LE CLIQUET !
	dataUrl = null;
	$("aside ul a").click(function(){
		
		//console.log(dataUrl);
		//console.log($(this).attr('data-url'));

		//SI C'EST LE PREMIER CLIC, ON STOCK DIRECT DATAURL
		if (!dataUrl) {
			dataUrl = $(this).attr('data-url');
		}

		//ON CHECK QU'AUCUNE ANIMATION NE SOIT DEJA EN COURS POUR PAS METTRE LE BOXON
		if(!$(body).hasClass('is-animating'))
		{
			//ON STOCK L'ELEMENT CLIQUE ET ON LE PASSE EN PARAMETRE A LA FONCTION QUI GERE LA SURBRILLANCE DES MENU
			clickedLi = $(this).find('li');
			setActiveLi(clickedLi);

			//ON CHECK QUE LE CLIC A BIEN ETE FAIT SUR UN EPISODE ET NON PAS SUR LE RETOUR A L'ACCEUIL
			if($(this).attr('data-url') != 'introduction.html')
			{
				//ON RESET LE SCROLL DE L'ACCUEIL POUR PAS QU'IL SOIT AFFICHER DERRIER SUR LES PETITS ECRANS
				slidesScrollReset();
				//DANS LE CAS OU LE PANNEAU SERAIT DEJA OUVERT
				if(reader.hasClass('reader-open'))
				{	
					//PEUT-ETRE QUE L'ELEMENT CLIQUE EST DEJA CELUI ACTIF. DANS CE CAS, L'ANIMATION EST RACCOURCIE
					if(dataUrl != $(this).attr('data-url'))
					{
						//les section disparaissent dans un fade délicat avant que le nouvel article soit appelé et animé
						var articleSections = $('.reader section');

						tlRevokeReader
							.set(body, {className: '+=is-animating'})
							.to(articleSections, 0.5, {autoAlpha: 0, y: '20px', ease:Power4.easeInOut});

						setTimeout(function() 
						{
							reader.load('load/' + dataUrl + '?' + Date.now(), function(){
								generateArticleButtons();
								initZoom();
							});

							tlShowLoader
								//loader immédiatement après disparition du contenu
								.to(loader, 0.5, {autoAlpha: 1, ease:Power4.easeInOut})
								.to(loader, 1.5, {width: loaderFullWidth, ease:Power4.easeInOut, clearProps: 'all'}, '-=0.5');

								//pendant ce temps, l'article a été chargé et animation des sections
								setTimeout(function() 
								{
								var articleSections = $('.reader section');
										
									tlOpenReader
										.staggerFromTo(articleSections, 0.5, {autoAlpha: 0, y: '20px'}, {autoAlpha: 1, y: '0px', ease:Power4.easeInOut, onComplete: readerScrollReset()},  0.1)
										.set(body, {className: '-=is-animating'});

								}, 1500);
						}, 500);
					}

				}
				//ICI, LE PANNEAU EST FERME, ON COMMENCE DONC PAR CHARGER L'ARTICLE AVANT D'ANIMER. L'ANIMATION COMPREND ENTRE AUTRE L'OUVERTURE DU PANNEAU
				else
				{
					reader.load('load/' + dataUrl + '?' + Date.now(), function(){
						generateArticleButtons();
						initZoom();
					});
						
					tlShowLoader
						.set(body, {className: '+=is-animating'})
						//loader immédiat
						.to(loader, 0.5, {autoAlpha: 1, ease:Power4.easeInOut})
						.to(loader, 1.5, {width: loaderFullWidth, ease:Power4.easeInOut, clearProps: 'all'}, '-=0.5');
						
					//contenu doit etre chargé en 1.5 secondes puis apparition du reader
					setTimeout(function() 
					{
					var articleSections = $('.reader section');

						tlOpenReader
							.to(reader, 0.5, {x: '0', ease:Power4.easeInOut, onComplete: setReaderOpenStatus()})
							.staggerFromTo(articleSections, 0.5, {autoAlpha: 0, y: '20px'}, {autoAlpha: 1, y: '0px', ease:Power4.easeInOut},  0.1)
							//.to(goBackUp, 0.5, {autoAlpha: 1, ease:Power4.easeInOut});
							.set(body, {className: '-=is-animating'});
					}, 1500);
				}
			}
			//DIANTRE ! LE CLIC A ETE FAIT SUR L'INTRODUCTION !
			else
			{
				//ON CHECK JUSTE DE FAIRE CECI EN CAS DE PANNEAU OUVERT SINON DE MULTIPLES CLICS FOUTENT LE BRONX A CAUSE DE LA FONCTION SETREADEROPENSTATUS
				if(reader.hasClass('reader-open'))
				{
				var articleSections = $('.reader section');

				tlRevokeReader
					.set(body, {className: '+=is-animating'})
					.to(articleSections, 0.5, {autoAlpha: 0, y: '20px', ease:Power4.easeInOut, onComplete: readerScrollReset()})
					.to(reader, 0.5, {x: '100%', ease:Power4.easeInOut, clearProps: 'all', onComplete: setReaderOpenStatus})
					.set(body, {className: '-=is-animating'});
				}
			}

			//ON STOCK LE DATAURL POUR DE BON POUR TESTER LES FUTURS CLICS
			dataUrl = $(this).attr('data-url');
		}

		
	});

	//FONCTION QUI CHANGE UNE CLASSE SUR LE READER, LE MENTIONNANT OUVERT OU NON
	function setReaderOpenStatus(){
		if(reader.hasClass('reader-open'))
		{
			reader.removeClass('reader-open');
		}
		else
		{
			reader.addClass('reader-open');	
		}
	}

	//FONCTION QUI GERE LA SURBRILLANCE DU MENU ACTIF
	function setActiveLi(){

			$('li').removeClass('is-active');
			clickedLi.addClass('is-active');
	}

	//APRES LE CHARGEMENT D'UN ARTICLE, LA CROIX DE FERMETURE ET, POSSIBLEMENT, LE BACK TO TOP SONT GENERES
	function generateArticleButtons(){
		$(reader).prepend('<svg class="close-article" version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="81px" height="81px" viewBox="0 0 81 81" enable-background="new 0 0 81 81" xml:space="preserve"><rect class="bg" fill="#D4D926" width="81" height="81"/><rect x="14.551" y="39.344" transform="matrix(0.7071 -0.7071 0.7071 0.7071 -16.7757 40.5)" fill="#FFFFFF" width="51.898" height="2.312"/><rect x="14.551" y="39.344" transform="matrix(-0.7071 -0.7071 0.7071 -0.7071 40.5 97.7757)" fill="#FFFFFF" width="51.898" height="2.312"/></svg>');
		$(".close-article").click(function(){
			if(reader.hasClass('reader-open'))
			{			
				var articleSections = $('.reader section');
				tlRevokeReader
					.set(body, {className: '+=is-animating'})
					.to(articleSections, 0.5, {autoAlpha: 0, y: '20px', ease:Power4.easeInOut})
					.to(reader, 0.5, {x: '100%', ease:Power4.easeInOut, clearProps: 'all', onComplete: setReaderOpenStatus})
					.set(body, {className: '-=is-animating'});
				$('li').removeClass('is-active');
				$('a:first-child').find('li').addClass('is-active');
			}
		});
	}

	//INIT LE PLUGIN DE ZOOM SUR LES IMAGES DISPOSANT DE LA CLASSE ZOOM. 
	function initZoom(){
		if ($(window).width() > 1200 )
		{
			$(".zoom").click(function() 
			{
				zoom.to({
					element: $(this)[0]
				});
			});
		} 
	}

	//RESET LE SCROLL APRES DISPARITION D'UN ARTICLE POUR QUE L'ARTICLE SOIT TOUJOURS AFFICHER TOUT EN HAUT
	function readerScrollReset(){
		$('.reader').animate({
			scrollTop:$('.article-header').offset().top - 100
	    }, 1);
	}

	//RESET LE SCROLL DE L'ACCUEIL SUR LES PETITS ECRANS
	function slidesScrollReset(){
		$('.slide').animate({
			scrollTop:$('.slide-content').offset().top
	    }, 1500);
	}

	



	

	function injectArticle(){


		setTimeout(function() 
		{
			var ArticleSection = $('.reader section'), 
			tlinjectArticle = new TimelineMax();
			tlinjectArticle
				.set(body, {className: '+=is-animating'})
				.set(ArticleSection, {y: '10px'})
				.set(goBackUp, {autoAlpha: 0})
				.to(loader, 0, {autoAlpha: 1, ease:Power4.easeInOut})
				.to(loader, 1.2, {width: '100%', ease:Power4.easeInOut, clearProps: 'all'})
				.to(reader, 0.400, {x: '0', ease:Power4.easeInOut}, '-=0.7')
				.staggerTo(ArticleSection, 0.5, {autoAlpha: 1, y: '0px', ease:Power4.easeInOut}, 0.1)
				.to(goBackUp, 0.400, {autoAlpha: 1, ease:Power4.easeInOut})
				.set(body, {className: '-=is-animating'});

				$(reader).prepend('<svg class="close-article" version="1.1" id="Calque_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="81px" height="81px" viewBox="0 0 81 81" enable-background="new 0 0 81 81" xml:space="preserve"><rect class="bg" fill="#D4D926" width="81" height="81"/><rect x="14.551" y="39.344" transform="matrix(0.7071 -0.7071 0.7071 0.7071 -16.7757 40.5)" fill="#FFFFFF" width="51.898" height="2.312"/><rect x="14.551" y="39.344" transform="matrix(-0.7071 -0.7071 0.7071 -0.7071 40.5 97.7757)" fill="#FFFFFF" width="51.898" height="2.312"/></svg>');

				$(".close-article").click(function(){
					setActiveLi();
					revokeReader();
				});
		}, 400);

	}


	
	function revokeReader(){
		tlRevokeReader
			.set(body, {className: '+=is-animating'})
			.set(goBackUp, {autoAlpha: 0})
			.to(reader, 0.400, {x: '100%', ease:Power4.easeInOut, clearProps: 'all', onComplete: setActiveLi()})
			.set(body, {className: '-=is-animating'});
	}
	
	





	




	




	// THIS IS EXECUTED WHEN EVERYTHING IS LOADED
	// var everythingLoaded = setInterval(function() {
	//   if (/loaded|complete/.test(document.readyState)) {
	//     clearInterval(everythingLoaded);
	//   }
	// }, 10);

	// USE THIS IF SOMETHING CANT LOAD CORRECTLY
	// $(window).load(function(){
	// });

	// THIS IS DONE AT EVERY SCROLL
	// $(window).scroll(function (event) {
 //    });

    // SCROLL TO AN ELEMENT FUNCTION
    //$('html, body').animate({
    //    scrollTop:$('.element').offset().top
    //}, 1000);

    // SCROLL TO A CALCULATED HEIGHT
	//$('html, body').animate({
    //      scrollTop:$(scrollHeight).offset().top
    //}, 1000);

    // SIMPLE CLICK
 //    $(".menu").click(function(){
	// });
	
    // SET A DELAY IN A FUNCTION
	// setTimeout(function() 
	// {
	// }, 250);

	// KEEP A DIV SQUARE HACK
	// var largeur = $('.un-quart').width();
	// $('.un-quart').height(largeur);

 //   	$(window).resize(function(){
 //   		var largeur = $('.un-quart').width();
 //   		$('.un-quart').height(largeur);
 //    });

   	// THIS IS EXECUTED ON RESIZE
   	// $(window).resize(function(){

    // });

   	// THIS IS EXECUTED DEPENDING ON WINDOW WIDTH
	// if($(window).width() > 500)
	// {
	// }

});
